Blogging with the New Google™ Blogger

Next Page

Book Cover
Blogging with the New Google™ Blogger
By Michael Miller
...............................................
Publisher: Que
Pub Date: October 19, 2006
Print ISBN-10: 0-7686-7448-4
Print ISBN-13: 978-0-7686-7448-4
Pages: 43

Table of Contents
Overview

Blogging with the New Google Blogger is a digital short cut that covers Google's newest version of Blogger, their free software for creating a website from which to post thoughts, interact with people, and more. This short cut serves as an introduction to the world of blogging and to the Blogger application, as well as a guide to the new version of Blogger. Readers will learn how the new version of Blogger differs from the original version and how to create a Blogger blog. Advanced users will appreciate the information on customizing blog templates, using HTML, hosting their own Blogger blog, syndicating their blogs with RSS and Atom feeds, and making money with blog advertising.

Table of Contents

Welcome to the Blogosphere

A general discussion on blogs--what they are, how they work, and why people blog

Introducing the New Version of Blogger

Introduction to Blogger; discussion of the new and changed features in the new version of Blogger

Launching Your First Blog

Detailed step-by-step instructions on how to create a Blogger blog

Creating New Blog Posts

Posting from the Blogger dashboard, posting from the Google toolbar, categorizing your posts with labels

Multimedia and Mobile Blogging

Including photos, feeds, and other media in your posts; mobloging from mobile phones

Managing Your Blog

Using the Dashboard to manage your blog, controlling who can read your blog, creating a private blog, managing comments, examining blog usage statistics

Customizing Your Blog

Choosing new Blogger templates, customizing templates, adding new page elements, coding non-standard elements with HTML

Hosting Your Own Blog

Detailed instructions on how to host a Blogger blog on your own website; also covers how to assign a dedicated domain or URL to your blog

Syndicating Your Blog

Adding RSS and Atom feeds, syndicating the feed, customizing your feed for individual posts or comments

Making Money from Your Blog

Adding Google AdSense and other advertising to your blog

Next Page


Table of Contents

Previous Page
Next Page

Book Cover
Blogging with the New Google™ Blogger
By Michael Miller
...............................................
Publisher: Que
Pub Date: October 19, 2006
Print ISBN-10: 0-7686-7448-4
Print ISBN-13: 978-0-7686-7448-4
Pages: 43

Table of Contents

Copyright
We Want to Hear from You!
 | Welcome to the Blogosphere
 | Introducing the New Version of Blogger
 | Launching Your First Blog
 | Customizing Your Blog
 | Creating New Blog Posts
 | Managing Your Blog
 | Syndicating Your Blog
 | How Popular Is Your Blog?
 | Advanced Customization: Editing Your Blogger Template with HTML and CSS
 | Making Money from Your Blog
 | Hosting Your Own BlogOr Not

Previous Page


Copyright

Copyright © 2007 by Que Publishing

All rights reserved. No part of this document shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without written permission from the publisher. No patent liability is assumed with respect to the use of the information contained herein. Although every precaution has been taken in the preparation of this document, the publisher and author assume no responsibility for errors or omissions. Nor is any liability assumed for damages resulting from the use of the information contained herein.

Trademarks

All terms mentioned in this document that are known to be trademarks or service marks have been appropriately capitalized. Que Publishing cannot attest to the accuracy of this information. Use of a term in this document should not be regarded as affecting the validity of any trademark or service mark.

Google is a trademark of Google, Incorporated.

Warning and Disclaimer

Every effort has been made to make this document as complete and as accurate as possible, but no warranty or fitness is implied. The information provided is on an "as is" basis. The author(s) and the publisher shall have neither liability nor responsibility to any person or entity with respect to any loss or damages arising from the information contained in this document.

PUBLISHER
Paul Boger

ASSOCIATE PUBLISHER
Greg Wiegand

ACQUISITIONS EDITOR
Stephanie J. McComb

MANAGING EDITOR
Patrick Kanouse

PROJECT EDITOR
Mandie Frank

PROOFREADER
Linda Seifert

PUBLISHING COORDINATOR
Cindy Teeters

MULTIMEDIA DEVELOPER
Dan Scherf

BOOK DESIGNER
Anne Jones


We Want to Hear from You!

As the reader of this document, you are our most important critic and commentator.We value your opinion and want to know what we're doing right, what we could do better, what areas you'd like to see us publish in, and any other words of wisdom you're willing to pass our way.

As an associate publisher for Que Publishing, I welcome your comments. You can email or write me directly to let me know what you did or didn't like about this documentas well as what we can do to make our electronic documents better.

Please note that I cannot help you with technical problems related to the topic of this document. We do have a User Services group, however, where I will forward specific technical questions related to the document.

When you write, please be sure to include this document's title and author as well as your name, email address, and phone number. I will carefully review your comments and share them with the author and editors who worked on the document.

Email: feedback@quepublishing.com

Mail: Greg Wiegand
Associate Publisher
Que Publishing
800 East 96th Street
Indianapolis, IN 46240 USA

For more information about this document or another Que Publishing product, visit our website at www.quepublishing.com. Type the ISBN (excluding hyphens) or the title of a document in the Search field to find the page you're looking for.


Previous Page
Next Page

If you've been on the Internet for any length of time, you're probably familiar with blogs (short for "web logs"). A blog is a kind of online journaleither very personal or very publicthat its author updates frequently with new musings and information. What you might not know is that anyone can create a blog. It's really quite easy, and can be quite fun. All you have to do is find a blog-hosting service and a blog creation toolsuch as Blogger.

Blogger (www.blogger.com) was one of the first sites on the Web to offer free blog creation and hosting. Anyone can sign up to Blogger, for free, and within minutes create their first blog. It's that easy.

Blogger is part of the Google family of websites, and Google recently launched a new version of Blogger. If you've used Blogger in the past, you'll like the new version much better; it's faster, easier to use, and a lot more flexible than the old version.

So, if you want to create your own blogor migrate your old blog to the new version of Bloggerread on. You'll be online in no time!

Note

This Digital Short Cut explains the beta test version of the new Blogger. Even though this beta version is available to the public, it still has some bugs in it, and Google continues to add features and functionality during the beta period. Therefore, some of the features discussed in this Digital Short Cut might change over time as Google refines the new Blogger.


Welcome to the Blogosphere

Ablog is a journal that's hosted on the Web and visible to other web users. Blogging is the activity of updating a blog; someone who keeps a blog is a blogger; and the entire universe of blogs is the blogosphere.

Bloggers typically update their blogs on a regular basisweekly, daily, or even hourly, depending on the blogger. The process of updating a blog is facilitated by the blogging software used, such as that provided by Blogger. Hosting a blog requires little or no technical expertise on the part of the blogger.

If you're diligent about keeping your blog fresh, you'll find that blogging takes timeeven when you utilize an easy-to-use tool such as Blogger. Not only do you have to create the blog, you have to create new blog posts on a frequent basis. Even if it only takes you 5 or 10 minutes to write and post a blog entry, the time starts to add up after awhile. Knowing this, how do so many bloggers find time for all these postingsand why?

For what it's worth, there isn't a single answer to that question.

You see, some people view their blogs as a kind of personal-yetpublic scrapbookan online diary to record their thoughts for posterity. Even if no one else ever looks at it, it's still valuable to the author as a repository of thoughts and information they can turn to later.

But that isn't always the case. Although some blogs are completely free-form, many other blogs have some sort of focus; there are blogs devoted to hobbies, to sports teams, to local events, to particular industries, and so on. There are people who blog for a cause, political or otherwise. (In fact, many people get their first exposure to the blogosphere via the network of leftwing and right-wing blogsespecially during an election year!)

In a way, the most serious bloggers are like columnists in the traditional media. They write with a passion, a point of view, and a personal sensibility that makes their blogs extremely interesting to read. Even bloggers who don't inject personal comments still offer a viewpoint based on what they choose to include and link to in their blogs. It's an interesting world out there in the blogosphere, and it's revolutionizing journalism (and journals) for the new online reality.

Of course, a blog can be moreor lessthan personal comments and observations. A big part of blogging is about interlinking to other blogs and to news and information on the Web. Look at any blog, and you're likely to see a list of related blogs (sometimes titled, "friends of . . ."). Bloggers like to link to other blogs that they enjoyas well as to news stories, photos, audio files, you name it.

In fact, many blogs are nothing more than links to interesting blog entriesthere isn't always a lot of original content there. The blogger finds something interesting, and then uses his blog to draw attention to that other posting. In this way, bloggers are a lot like radio disc jockeys, "spinning" links and snippets just as a DJ spins songs.

That said, serious bloggers not only sort through the blogosphere to find the most interesting articles, they also provide some background and organization to these postings, and in many cases add their own commentary. The best blogs have a definite point of view, no matter what content they're linking to.

And that's what blogging is all about. Even though a blog is public for everyone to read, blogging is ultimately an intensely personal endeavor. As with most personal endeavors, there are few, if any, rules. When you launch your Blogger blog, the words and pictures you post are yours and yours alone; the blog is just a tool you use to express yourself online.

Note

For what it's worth, I personally contribute to three different blogstwo of which are hosted by Blogger. Googlepedia: The Blog (googlepedia.blogspot.com) is the place to find new information about Google and updates to my Googlepedia book. The Curmudgeon Speaks (curmudgeonspeaks.blogspot.com) is my personal blog, full of all manner of rants and raves. And I'm a regular contributor to AOL's My Plugged In Life (digital-lifestyle.aol.com/ my-plugged-in-life), which celebrates all things related to the digital lifestyle.


Introducing the New Version of Blogger

Blogger is just one of many blog-hosting communities on the Internet today. These sites offer easy-to-use tools to build and maintain your blog, and do all the hosting for youtypically at no cost. Creating your own blog on one of these sites is as simple as clicking a few buttons and filling out a few forms. After you create your blog, you can update it as frequently as you like, again by clicking a link or two.

In terms of web-hosting communities, Blogger is one of the oldest and biggest. In fact, Blogger was a freestanding site with more than a million users long before Google acquired it in 2003. Since then, it's only gotten biggerand better. In fact, Blogger is one of the crown jewels of the Google empire; its user base is now well more than three million, or about 10% of all blogs on the Web. (And Google says the number of Blogger blogs is doubling every six months!)

Getting to Know the Blogger Site

If you're new to Blogger, the home page you see looks like the one in Figure 1. From there you can search through Blogger's millions of blogs and blog postings or opt to create your own blog.

Figure 1. The Blogger home page for new users.

[View full size image]

After you register with Blogger, you go directly to the Blogger Dashboard, shown in Figure 2. From there you can manage all your blogs, create new blog posts, manage your Blogger account and profile, search other Blogger blogs, and access Blogger's help system.

Figure 2. The Blogger Dashboardfor registered users.

[View full size image]

What's New in the New Blogger

If you've used Blogger in the past, you know your way around the joint. Except that with the new version of Blogger, the joint has changed a bit.

Note

Unlike some other sites, Google doesn't always apply version numbers to things. The new version of Blogger, which other sites might call Blogger 2.0, doesn't have a formal name. Google sometimes refers to it (at least during the testing phase) as "Blogger in beta"; I call it "the new Blogger." You can call it whatever you like.

What's new in the new Blogger? Here's a short list:

  • New blog templates

  • Ability to customize template colors and fonts without editing HTML

  • New page elements that can add customized content to your blog page

  • Ability to reposition page elements by dragging and dropping on a content-builder grid

  • Ability to categorize your blog posts with labels

  • Ability to create private and limited-access blogs

  • Instant publishing using dynamic serving so that you can revise your blog without republishing itupdates occur instantaneously

  • Better built-in spell checking

  • Additional RSS and Atom feed options for advanced usersincluding the ability to create individual feeds for all the comments on a single post

  • Consolidated login with your Google account or Gmail ID; you no longer need a separate Blogger ID

  • Updated and easier-to-use Blogger Dashboard controls

  • Completely revised behind-the-scenes HTML and CSS code constructionincluding elimination of the old proprietary Blogger tags

In short, the new version of Blogger is faster, better looking, and more customizable than the old version. Its designers built it on a brand-new platform; it's not just a simple revision, it's a whole new rewrite of the underlying code.

Migrating to the New Blogger

During the beta testing phase, not everyone can use the new Blogger. In fact, most existing blogs are remaining on the old platform for now; Google intends to migrate old blogs to the new platform on a limited basis only.

Tip

If Google has chosen your existing blog for migration to the new platform, you'll see a notice on your Blogger Dashboard page. Until you see that notice, you can't upgrade your blog to the new Blogger.

How do you experience the new Blogger? By creating a new blog! That's right, Google is letting everyone who creates a new blog (under their Google account or Gmail ID) base their blog on the new Blogger platform. If you want to see what the new Blogger is all about, just go to the main Blogger page (www.blogger.com), make sure that you log out from your current Blogger ID, and then log in with your Google account or Gmail ID and create a new blog. From that point on, the new Blogger platform is the basis for everything you see.

Note

You can get the latest news and updates about the new version of Blogger at the Blogger Buzz blog (buzz.blogger.com). The Known Issues for Blogger in Beta blog (knownissues.blogspot.com) details current bugs and problems. In addition, the Blogger Help Group (groups.google.com/group/blogger-help) is a great forum for exchanging questions and ideas with other Blogger users.


Launching Your First Blog

Creating a new blog is a simple step-by-step process. Fill in a few forms, enter a few pieces of information, and your new blog is up and running, piece of cake.

Creating Your Blog

The process starts on the Blogger home page (www.blogger.com). How you proceed depends on whether you already have a Google account.

Note

Prior to the launch of the new Blogger, you had to have a separate Blogger account to create a new blog. That's no longer the case; now you can create a blog using your standard Google or Gmail account.

If you already have a Google account, click the Sign In to the Blogger in Beta link at the top of the page and enter your Google account ID and password. This takes you to the Blogger Dashboard; from here, click the Create a Blog link.

If you don't already have a Google account, click the Create Your Blog Now link on the Blogger home page. This displays the Create a Google Account page, shown in Figure 3. From there, enter your desired username, password, display name (separate from your username, if you like), and email address. Click the Continue link when you're ready to proceed.

Figure 3. Creating a Google account.

[View full size image]

Whichever way you start, you now see the Name Your Blog page, shown in Figure 4. Enter a title for your blog, a corresponding blog address (the part of the URL that goes before Blogger's blogspot.com domain), and click Continue.

Figure 4. Naming your new blog.

[View full size image]

Tip

By default, Blogger serves as host for your blog, and assigns you a URL in the blogspot.com domain. For most bloggers, your blog address is the same as your blog name. Click the Check Availability link to see whether your desired name/address is available.

Next you get to choose a template for your blog. As you can see in Figure 5, a template is a predesigned combination of page layout, colors, and fonts. Try to choose a template that's easily readable, especially for the types of postings you think you'll be doing. (You can preview any template at full size by clicking the Preview Template link under the template's thumbnail picture.) After you make your choice, click the Continue button.

Figure 5. Choosing a blog template.

[View full size image]

Note

The templates presented on this page are just a subset of the larger number of available templatesbut chances are you'll be happy with one of them. If not, you can changeand customizetemplates after you've created your blog. Learn more in the "Customizing Your Blog" section of this Digital Short Cut

Blogger now creates your blog and displays the confirmation page shown in Figure 6. Click the Start Posting link if now is a good time to write your first blog post. Otherwise, you can create posts later.

Figure 6. Congratulationsyou're the proud parent of a bouncing baby blog!

[View full size image]

Viewing Your Blog

You can view your blog by entering the previously assigned URL, or by going to the Blogger Dashboard (www.blogger.com), clicking the blog name, and then clicking the View Blog link. As you can see in Figure 7, a typical blog includes a Blogger search bar at the top of the page, with the title of the blog just below that. Blog posts take up the balance of the page, with assorted personal information in a sidebar column to the right or left of the postings.

Figure 7. A typical Blogger blog.

[View full size image]

Each blog post is accompanied by a date and time stamp (sometimes above the post, sometimes below), as well as links to any reader comments or other blogs that have linked to this post.

Click the Comments link to read any comments; click the Links to This Post link to see the links.

Although the format of the blog posts themselves is relatively standard, the elements in the sidebar are highly customizable. Most blogs include an About Me section (which might or might not include a photo), a listing of recent posts, a listing of archived posts (typically organized by month), and any other information you choose to include. If you don't like what you see, you can easily customize the contents and layout of your blog pagewhich we'll discuss next.


Customizing Your Blog

The blog templates you get to choose from when first creating your blog are nice, but there aren't a lot of them. Fortunately, Blogger offers additional templates for your blogand lets you fully customize the look and feel of your blog page. Read on to learn more.

Choosing a Different Template

First things first: If you no longer like the template you originally chose for your blog, you can change it. Blogger offers more than 35 different blog templates, and there's no harm in switching from one to another to suit your mood. Here's how to do it:

1.
From the Blogger Dashboard, click the Layout link next to your blog name.

2.
When the next page appears, select the Template tab and click Pick New Template.

3.
Doing so puts all of Blogger's templates on display, as you can see in Figure 8. This is a larger selection of templates than was visible when you first created your blog; several template styles are available in different color variations. To preview how your blog will look with a given template, click the Preview Template link beneath that template.

Figure 8. Choosing a new template for your blog.

[View full size image]

4.
To select a new template, check that template's name.

5.
After you select a template, click the Save Template button.

Caution

When you choose a new template, any changes you've made to your previous template will be lost.

Personalizing Fonts and Colors

You don't have to settle for the stock templates that Blogger provides, however. Blogger lets you customize the fonts and colors used in any template, with a few clicks of your mouse.

Note

Blogger uses CSS (cascading style sheets) to control all the fonts and colors in a template. The style sheet code is at the beginning of the page's underlying HTML code, and it defines the look of each individual page element. Obviously, this all goes on behind the scenes; when you make a selection on the Fonts and Colors page, you're actually making changes to the CSS code.

To customize the look of individual elements in your blog template, go to the Blogger Dashboard and click the Layout link next to your blog title. When the next page appears, select the Template tab and click Fonts and Colors. Doing so displays the Fonts and Colors page, shown in Figure 9.

Figure 9. Changing colors.

[View full size image]

From the Fonts and Colors page, you can change the following elements:

  • Main background color

  • Text color

  • Blog title color

  • Blog description color

  • Link color

  • Link hover color

  • Date header color

  • Sidebar title color

  • Sidebar text color

  • Text font

For colors, making a change is as simple as selecting the element in the list and then clicking the new color in the color picker. For changing the text font, select Text Font from the list and choose a font family (Arial, Georgia, Trebuchet, Courier, Times, or Verdana), font style (normal, bold, or italic), and a font size (smaller or larger); Figure 10 shows the font options. The preview of your blog, at the bottom of the page, reflects your changes.

Figure 10. Changing fonts.

[View full size image]

When you're satisfied with your changes, click the Save Changes button.

Tip

A fun option for any color element is to shuffle randomly through a compatible color scheme while you display your blog. Just click the Shuffle Blog Colors link to see how this works.

Adding New Page Elements

One of the useful new features of the new Blogger is the ability to add subsidiary page elements in either the sidebar or in the main column of the blog page. You can use these page elements to add descriptive text, pictures, links, lists, and the like to your blog. Table 1 details the page elements that Blogger lets you add.

Table 1. Blogger Page Elements

Page Element

Description

List

This is a simple text list. You can use it to create lists of CDs, books, and the likeeven Christmas wish lists! Use the list element to list any item that doesn't have a link or a picture.

Link list

This element is similar to the text list, except each list item has a hyperlink to another web page. Use the link list element to create lists of favorite websites.

Picture

This adds a single picture to your blog page. You can upload the picture from your PC or link to it on another site on the Web.

Text

Use this element to add a block of text anywhere on your blog page. The text block can have a title and description; you can format the text itself with bold, italic, and colored text.

HTML/JavaScript

This element lets you add snippets of HTML or JavaScript code to your blog, which you can use to incorporate additional functionality from third-party sites.

Feed

This element displays up-to-the-minute content from another blog or news feed on the Web; all you have to do is enter the feed's URL.

Labels

This element displays a list of all the labels you use to categorize your blog posts.

Logo

Use this element to display a Blogger logo on your page.

Profile

This element displays your Blogger profile.

Blog Archive

Use this element to display links to older posts in your blog.

Page header

This element typically goes at the top of your blog page, and displays your blog title and description.

As you can see, these page elements add much content that previously was unavailable in Blogger or that you had to add through editing the blog's HTML code by hand. Now it's a simple matter of clicking a few links and filling in a few blanks, and Blogger adds the element automatically.

To add a new element to your page, follow these steps:

1.
From the Blogger Dashboard, click the Layout link next to your blog name.

2.
When the next page appears, select the Template tab and click Page Elements.

3.
When the next page appears, click the Add a Page Element link.

4.
This displays the Choose a New Page Element window, shown in Figure 11. Click the Add to Blog button beneath the element you want to add.

Figure 11. Adding page elements to your blog.

[View full size image]

5.
Now you'll see a window specific to the type of element you selected. For example, Figure 12 shows the Configure Image window, which opens when you choose to add a picture to your blog. Fill in the information required in this window, and then click Save Changes.

Figure 12. Configuring an image for your blog.

[View full size image]

Your blog now contains the element you selected. You can then decide where on the page that element will appearand we'll discuss that in a moment.

Tip

To edit an existing page element, go to the Add and Arrange Page Elements page and click the Edit link next to the element you want to edit.

Adding News Feeds to Your Blog

One of the page elements you can add to your new Blogger blog is a news feed module. You can add one or more feeds to your blog's sidebar or below the main posting area of the page. This is a great thing if you have a few news feeds that you really like, and if they have a lot in common with your blog. For example, if you blog about politics, you might want to add feeds from similar political blogs or sites.

Adding a news feed to your blog is simple. Go to the Blogger Dashboard, and click the Layout link next to your blog name; when the next page appears, select the Template tab and click Page Elements. When the next page appears, click the Add a Page Element link; from the Choose a New Page Element window that appears, click the Add to Blog button in the Feed section.

Blogger now displays the Configure Feed window, shown in Figure 13. You have to know the URL of the site's RSS or Atom feed, which you typically get by clicking the RSS or Atom link or button on the other site. Enter the URL for the RSS or Atom feed into the Feed URL box, and then click Continue.

Figure 13. Adding a news feed to your blog.

[View full size image]

Caution

The URL for the site feed is different from the site's regular URL. Make sure that you display the feed page and then copy the URL for that page from the address bar of your web browser.

The Continue Feed window now changes to display information about the selected news feed. As you can see in Figure 14, you see a preview of the last several posts from this feed; you can select how many posts to display and whether to display item dates and authors. Click the Save Changes button to add the feed to your blog.

Figure 14. Configuring a news feed.

[View full size image]

Figure 15 shows how a blog looks with a news feed added to the sidebar.

Figure 15. The most recent posts from a news feed in a blog's sidebar.

[View full size image]

Adding Lists to Your Blog

Another element you might want to add to the sidebar of your blog is a list. Maybe you want to include a list of friendly websites, or recently read books, or the CDs you're listening to right now, or your favorite local restaurants. It's easy to doin fact, Blogger provides three different ways to add lists to your blog.

Adding a Text List

The first type of list is the simplest: a basic text list. You add it by going to the Blogger Dashboard and clicking the Layout link next to your blog name; when the next page appears, select the Template tab and click Page Elements. When the next page appears, click the Add a Page Element link; from the Choose a New Page Element window that appears, click the Add to Blog button in the List section.

Now you see the Configure List window, as shown in Figure 16. Enter a title for your list, as well as the number of list items you want to show and how you want to sort the list (alphabetically, reverse alphabetically, or as enteredthe Don't Sort option).

Figure 16. Creating a simple text list.

[View full size image]

Now you start creating your list. Just enter the first item for your list into the Add List Item box and click the Add Item button. Repeat as many times as necessary to add all the items to your list, and then click the Save Changes button. The result is a bulleted list like the one in Figure 17.

Figure 17. The result: a bulleted text list in the blog's sidebar.

Tip

Interestingly, you can use the Configure List window to create list links as well as simple text lists. Just click the Create Link button next to the Add List Item box to add a hyperlink to any item in your list.

Adding a Link List

If you'd rather include a list of links to other websites, Blogger is equally accommodating. Begin by going to the Blogger Dashboard and clicking the Layout link next to your blog name; when the next page appears, select the Template tab and click Page Elements. When the next page appears, click the Add a Page Element link; when the Choose a New Page Element window appears, click the Add to Blog button in the Link List section.

Figure 18 shows the Configure Link List window. Start by entering a title for your list, as well as the number of list items you want to show and how you want to sort the list (alphabetically, reverse alphabetically, or as enteredthe Don't Sort option).

Figure 18. Creating a list of links.

[View full size image]

For each item in your list, you have to enter the site's URL and name. Click the Add Link button to add each item, and continue until you've added all the links you want to add. When you're done, click the Save Changes button. The result is a bulleted list of links, like the one in Figure 19.

Figure 19. The result: a bulleted link list in the blog's sidebar.

Adding a List with Images

Text lists and link lists are all well and good, but what if you want to display a list that includes images? For example, maybe you want to include a list of your favorite books, along with cover images and links to those books on Amazon.com or Barnesandnoble.com. To do this, you have to do a little HTML codingand use Blogger's HTML/JavaScript content module.

Starting out is easybut it gets more difficult. You begin by going to the Blogger Dashboard and clicking the Layout link next to your blog name; when the next page appears, select the Template tab and click Page Elements. From the next page that appears, click the Add a Page Element link; when the Choose a New Page Element window appears, click the Add to Blog button in the HTML/JavaScript section. Now Blogger displays the Configure HTML/JavaScript window, as shown in Figure 20. Enter a title for this list, and then get ready to create your HTML code.

Figure 20. Entering HTML code for an image list.

[View full size image]

The following is the code you'll use to create a list of books that link to individual book pages on Amazon.com. You can create similar code to work with Barnesandnoble.com and other book sitesor to create lists of CDs or DVDs. Here's the code, with a little explanation afterward:

<p><a href="http://www.amazon.com/exec/obidos/ASIN/number1">
<IMG SRC="http://images.amazon.com/images/P/number1.01.THUMBZZZ.jpg"
align="top"/>
<br/>Title1</a></p>

<p><a href="http://www.amazon.com/exec/obidos/ASIN/number2">
<IMG SRC="http://images.amazon.com/images/P/number2.01.THUMBZZZ.jpg"
align="top"/>
<br/>Title2</a></p>

<p><a href="http://www.amazon.com/exec/obidos/ASIN/number3">
<IMG SRC="http://images.amazon.com/images/P/number3.01.THUMBZZZ.jpg"
align="top"/>
<br/>Title3</a></p>

<p><a href="http://www.amazon.com/exec/obidos/ASIN/number4">
<IMG SRC="http://images.amazon.com/images/P/number4.01.THUMBZZZ.jpg"
align="top"/>
<br/>Title4</a></p>

And now the explanation. Replace number1, number2, and so forth (two times each) with the ASIN or ISBN number of the book; you can find this number on the book's product page on the Amazon.com website. Then replace Title1, Title2, and so forth with the title of the book.

As you can see in Figure 21, this creates a list of books, with each listing displaying the book's cover and titleboth of which, when clicked, take you directly to that book's page on the Amazon.com website.

Figure 21. The result: a list with images and links.

Rearranging Elements on the Page

With the new Blogger, where elements appear on your page is now totally under your control. Rearranging your blog's content is as easy as using your mouse to drag and drop individual page elements.

All you have to do is click the Layout link next to your blog name in the Blogger Dashboard, and then select the Template tab and click Page Elements. This displays the Add and Arrange Page Elements page, like the one in Figure 22. You can move almost every element on this page, except for the Navbar, page header, and blog posts sections. In addition, you can move any element in the sidebar to a new position in the sidebar, or above or below the blog posts section.

Figure 22. Rearranging elements on your blog page.

[View full size image]

Click the Preview button to see what your rearranged page looks like; when you're done making changes, click the Save button.

Using Third-Party Templates

If you don't like the templates that Blogger provides, you can use a template created by someone else. To use a third-party template, you first have to save the HTML code for that template to your hard disk. You can then upload the code for that template via the Blogger Dashboard.

Tip

I recommend saving a copy of your existing template before you try uploading a new template. Go to the Template tab, click Edit HTML, and then click Download Full Template. This saves a copy of your template code to your hard drive.

To upload a new template, go to the Blogger Dashboard and click the Layout link next to your blog title. When the next page appears, select the Template tab and click Edit HTML. Now click the Browse button to find the template file on your hard disk, and then click the Upload button. This copies the new template code into the Edit Template box; you can then preview and, if you like, save this new template code.

Caution

Unfortunately, most existing third-party templates designed to work with the old Blogger will not work with the new Blogger. That's because the new Blogger uses a completely different set of built-in HTML tags; the old Blogger tags do not work with the new Blogger. For that reason, I recommend that you try third-party templates with caution, and only after saving your existing template code to your hard drive. If the new template doesn't work, you can re-upload the saved template.


Creating New Blog Posts

It's not enough to create a blog page; you have to keep your blog fresh by making new posts to your blog. Read on to learn how to post.

Caution

With the previous version of Blogger, you could post a blog entry from any page on the Web, using the Send To > Blogger button on the Google toolbar. Unfortunately, this functionality is not yet activated within the new Blogger.

Posting from the Blogger Dashboard

After you launch your blog, it's time to write your first blog post. Most of the time, you'll make your posts from the Blogger Dashboard. All you have to do is follow these steps:

1.
From the Blogger Dashboard, click the New Post link for this particular blog, as shown in Figure 23.

Figure 23. Click the New Post link to create a new blog post.

2.
When the Posting page appears, as shown in Figure 24, enter a title for your post.

Figure 24. Creating a new blog post.

[View full size image]

3.
Enter the text for your post into the large text box. If you like, you can format the text (bold, italic, colors, and so on) using the formatting toolbar above this text box.

4.
If you want to apply even more sophisticated formatting (and you know how to code in HTML), click the Edit HTML tab and enter your own HTML codes.

5.
To check the spelling in your post, click the Check Spelling button and follow the onscreen instructions.

Tip

The spell checker in the original Blogger was so weak and awkward as to be practically unusable. This has changed in the new Blogger, which has a brand-new spell checker that's both easier to use and more accurate.

6.
To view a preview of your post, click the Preview link.

7.
To save a draft of your post for editing and posting at a future time, click the Save as Draft button.

8.
When you finish writing and formatting, click the Publish button.

Blogger now publishes your post, and then displays a confirmation screen. Click the View Blog button to view your blog, with the new post at the top of the page, as shown in Figure 25.

Figure 25. Your new post is now posted.

Posting via Email

Blogger also lets you email in your posts. That's right; you can create a post in an email message, and then send that message to Blogger to post to your blog.

For this to work, you first have to create a mail-to-Blogger address. You do this by clicking the Settings link next to your blog name in the Blogger Dashboard, and then clicking the Email link. When the next page appears, as shown in Figure 26, enter or confirm the email address in the Mail-to-Blogger Address section, check the Publish option, and then click the Save Settings button.

Figure 26. Setting your mail-to-Blogger email address.

[View full size image]

Now you can open a new message in your email program and compose your post within that message. Email the message to your mail-to-Blogger address, and Blogger automatically uses the text of your email to create a new blog post.

Adding Links to Your Posts

One of the neat things about a blog is the ability to link to other pages on the Web, via the use of inline hyperlinks. Fortunately, Blogger makes it easy to add links to your post.

You add links while you're creating the blog post. Just highlight the text from which you want to link, and then click the Link button. This displays the Hyperlink dialog box, shown in Figure 27. Enter the URL for the link, and then click OK.

Figure 27. Linking to another web page from within your post.

Adding Pictures to Your Posts

Another way to make a visually interesting blog is to incorporate pictures into your blog entries. Again, Blogger makes this relatively easy to do.

You add pictures while you're creating your blog post. Just position your cursor where you want the picture to appear, and click the Add Image button. This displays the Upload Images window, shown in Figure 28.

Figure 28. Adding a photo to your blog post.

[View full size image]

To upload an image file from your computer, click the Browse button in the Add an Image from Your Computer section, and then navigate to and select the image file. You can upload additional pictures by clicking the Add Another Image link.

To point to an image hosted elsewhere on the Web, enter the full web address for that image into the URL box in the Or Add an Image from the Web section. Click the Add Another Image link to link to additional images.

After you select the images to include, you can choose how to display that image in the blog post. In the Choose a Layout section, select how you want the image aligned, relative to the blog text: left, center, or right. In the Image Size section, select how big you want the image to appear: small, medium, or large.

Clicking the Upload Image button adds the photo to this blog post. Figure 29 shows a post with such an image; blog visitors can click the image to view it full size.

Figure 29. A blog posting with an embedded photo.

Adding Labels to Your Posts

When you get a lot of posts in your blog, it becomes increasingly difficult to find any particular post. You can make this easier for your blog visitors by using labels to categorize your posts. Visitors can then click a label in the label list to view all posts related to that particular topic.

To add a label to your post, all you have to do is enter the label into the Labels for This Post box at the bottom of the Create page, as shown in Figure 30. You can enter multiple labels for any post; just separate the labels with commas.

Figure 30. Adding a label to a blog post.

[View full size image]

Tip

To view a list of all the labels you've previously created, click the Show All link beside the label box.

Figure 31 shows how the labels appear underneath the live post. They're clickable, so visitors can view similar posts by clicking one of the label links.

Figure 31. A blog post categorized with labels.

Tip

To help your visitors navigate via labels, be sure to add a Labels element to your page, as previously discussed.


Managing Your Blog

Even after you have your blog up and running, you still have to perform a bit of ongoing maintenance. Fortunately, you can do everything you need to do from the Blogger Dashboardand you don't have to do much.

Editing Your Posts

No one's perfect. Every now and then you'll post something to your blog and later discover an egregious spelling error, or a bad link, or maybe just something you wish you'd never written in the first place. Have no fear, gentle blogger; Blogger lets you edit any post you like. To edit a Blogger post, follow these steps:

1.
From the Blogger Dashboard, click the Manage: Posts link for your blog.

2.
When the list of recent posts appears, as shown in Figure 32, click the Edit link next to the post you want to edit.

Figure 32. Click the Edit link to edit any recent post.

[View full size image]

3.
When the Edit Posts window appears, as shown in Figure 33, edit your post accordingly.

Figure 33. Editing a post.

[View full size image]

4.
When done editing, click the Publish button.

Limiting Comments

By default, anyone can post comments to your blog postings. These comments appear below each posting when a visitor clicks the Comments link. If you'd rather not have everyone and their brother comment on your blog, you can limit comments to either registered Blogger users or members of your blog. You do so by following these steps:

1.
From the Blogger Dashboard, click the Settings link next to your blog name.

2.
When the Settings page appears, click the Comments link.

3.
When the next page appears, as shown in Figure 34, pull down the Who Can Comment? list and select either Anyone (the default setting), Only Registered Users, or Only Members of This Blog.

Figure 34. Configuring comments for your blog.

[View full size image]

4.
Click the Save Settings button.

Moderating Comments

The Comments screen of the Settings tab also lets you configure several other ways to display comments on your blog. One of the key settings concerns comment moderation. When you choose to moderate comments, you must approve any comments to your blog before the user can post them.

You turn on moderation by checking the Enable Comment Moderation? option on the Comments screen of the Settings tab. This displays a new Moderate Comments link on the Posting tab, which is where all user-written comments appear. (You also receive an email to alert you to all new comments.) On this page, you can choose to publish or reject any listed comment; click the Publish button and the comment is posted to your blog.

Fighting Comment Spam

Another problem with blog comments is that, without any moderation, they can be used for spamming purposes. That's right, unscrupulous spammers use spam robots to seed blog postings with unwanted spam messages. It's all done automatically; don't be surprised if you wake up one morning and find a ton of comments to your blog that have nothing at all to do with your original postings.

There's an easy way to defeat these spam robots. All you have to do is require some sort of human input for posting a comment. Blogger does this by adding a word verification section, like the one shown in Figure 35, to the comments posting page. Readers have to enter the word verification code before posting their comments; because robots can't read graphic images like this, they can't enter the word verification code, and no spam is left.

Figure 35. Word verification codes, like this one, stop blog spam.

You turn on word verification by going to the Comments screen on the Settings tab and checking the Show Word Verification for Comments? option.

Controlling Access to Your Blog

By default, your blog is completely public, and anyone on the Internet can read it. However, there's a way to make your blog private so that only invited guests can view it. To control access to your blog, follow these steps:

1.
From the Blogger Dashboard, click the Settings link next to your blog name.

2.
When the Settings page appears, click the Permissions link.

3.
When the next page appears, as shown in Figure 36, go to the Blog Readers section and select who can view your blog: Anybody (keeps the blog public), Only People I Choose, or Only Blog Authors.

Figure 36. Deciding who gets access to your blog.

[View full size image]

4.
If you choose the Only People I Choose option, you'll have to invite people to view your blog. The page expands to include a new text box; enter the invitees' email addresses, and then click the Invite button. (If the invitee already has a Google account, he's automatically granted access; if he doesn't yet have a Google account, he's sent an invitation via email.)

5.
If you choose the Only Blog Authors option, you'll have to enable some authors other than yourself. Click the Add Authors button to invite other authors to post on your blog.

Note

A blog author is someone like you, who can create new blog postings. Although anyone can add comments to existing postings, only blog authors can create new postings.

Displaying Backlinks

Interested in who is linking to your blog? If so, Blogger lets you display backlinks for each of your postings.

Note

A backlink is a link to a website that links to your particular blog posting.

To display backlinks, follow these steps:

1. | From the Blogger Dashboard, click the Settings link next to your blog name.
2. | When the Settings page appears, click the Comments link.
3. | When the next page appears, check the Show option in the Backlinks section.
4. | Make sure that the Backlinks Default for Posts has the New Posts Have Backlinks option selected.
5. | Click the Save Settings option.

Changing Your Blog's Settings

Blogger has a lot of operational options you can apply to your blog. These options are on the Settings tab, which you get to by clicking the Settings link next to your blog's name in the Blogger Dashboard. What settings are where, and which do what? Fair questions; Table 2 answers them all.

Table 2. Blogger Settings

Settings Page

Individual Settings

Description

Basic

Title

The name of your blog

Description

Appears beneath the title on your blog page

Add Your Blog to Our Listings?

Ensures that your blog is searchable from the Blogger search page; select No if you want your blog to remain somewhat private

Show Quick Editing on Your Blog?

Lets you edit your blog with a single click when you're logged on

Show Email Post Links?

Lets visitors email posts from your blog to other users

Show Compose Mode for All Your Blogs?

Displays a WYSIWYG mode on the post editor page

Delete Your Blog?

Use to delete your blog and all existing posts (warning: this can't be undone!)

Publishing

Blog*Spot Address

The URL of your blog (the part before blogspot.com)

Notify Weblogs.com

Feeds your blog content to the Weblogs.com service that automatically notifies subscribers when new content has been posted

Formatting

Show

Determines how many posts or how many days are displayed on your blog's main page

Date Header Format

Determines how dates are displayed

Archive Index Date Format

Determines the dates for archived posts are displayed

Timestamp Format

Determines how post times are displayed

Time Zone

Sets the time zone for your blog

Language

Sets the default language for your blog posts

Decoding

Determines which character sets are used in your blog posts

Convert Line Breaks

Determines how line breaks are handled in posts

Show Title Field

Displays the title field for all blog posts

Show Link Field

Displays the link field for all blog posts

Enable Float Alignment

Enables different image alignment (select No if you're having trouble with the layout of your posts)

Post Template

Creates a template for all future blog posts; whatever you enter in this box automatically appears in the post edit box when you create a new blog post

Comments

Comments

Shows or hides comments from visitors

Who Can Comment?

Determines who can write comments to your posts: anyone, only registered Blogger users, or only members of the blog

Comments Default for Posts

Determines whether new posts have comments

Backlinks

Shows or hides backlinks (other sites linking to your post)

Backlinks Default for Posts

Determines whether new posts have backlinks

Comments Timestamp Format

Determines how time is displayed in comments

Show Comments in a Popup Window?

When selected, lets visitors click a link to display comments in a pop-up window

Enable Comment Moderation

When selected, requires your approval before comments are posted

Show Word Verification for Comments?

Enable this option to require input of a word verification code before comments can be posted; used to reduce spam comments

Show Profile Images on Comments?

Displays the profile image from anyone posting a comment

Comment Notification Address

Blogger emails you whenever comments are made to your blog posts; enter your email address here

Archiving

Archive Frequency

Determines how older posts are grouped in your blog archivesmonthly (default), weekly, daily, or no archive

Enable Post Pages?

Select Yes to each post on its own web page (in addition to appearing on your main blog page)

Site Feed

Allow Blog Feed

Determines how you want your posts syndicated: full, short, or none

Feed Item Footer

Use this box to enter code for Google AdSense ad module

Email

BlogSend Address

Blogger will email you whenever you add to your blog; enter your email address here

Mail-to-Blogger Address

Blogger lets you create new posts via email; enter the email address you want to send your posts to here, and then check the Publish option

Permissions

Blog Authors

Use this section to add new authors to your blog

Blog Readers

Determines who can view your blog: anybody, only people you choose, or only blog authors


Syndicating Your Blog

Asite feed is an automatically updated stream of a blog's contents, enabled by a special XML file format named RSS (Really Simple Syndication). When a blog has an RSS feed enabled, any updated content publishes automatically as a special XML file that contains the RSS feed. The syndicated feed is then normally picked up by RSS feed reader programs and RSS aggregators for websites.

Activating Basic Atom Syndication

Blogger uses Atom for its blog syndication. When you activate Atom syndication for your blog, Blogger automatically generates a machine-readable version of your blog that most feed readers and aggregators can read.

Tip

If you'd rather use RSS syndication instead of Atom, use the FeedBurner service (www.feedburner.com).

To activate Atom syndication for your blog, follow these steps:

1.
From the Blogger Dashboard, click the Settings link next to your blog name.

2.
When the Settings page appears, click the Site Feed link, as shown in Figure 37.

Figure 37. Configuring Atom syndication.

[View full size image]

3.
To syndicate the full content of each post, pull down the Allow Blog Feed list and select Full. To syndicate just the first paragraph (or 255 characters) of each post, select Short. If you don't want to activate a feed, select None.

4.
Click the Save Settings button.

Tip

Take notice of the URL for your site feed. It's typically your blog URL with /atom.xml attached, like this: myblog. blogspot.com/atom.xml.

Activating Feeds for All Blog Comments

The new version of Blogger not only lets you syndicate new posts that you make to your blog, it also lets you syndicate all the comments that visitors make to your posts.

Start by going to the Site Feed page on the Settings tab, and clicking the Advanced Mode link. This expands the page, as shown in Figure 38.

Figure 38. Configuring advanced feed options.

[View full size image]

Now you have three types of feeds to configure:

  • Blog Posts Feed is the same as the Blog Feed on the Basic Mode screen. This is a typical Atom feed of each new blog post.

  • Blog Comment Feed is a feed that contains all the comments made to posts on your blog.

  • Per-Post Comment Feeds, which creates a separate site feed for each post on your blog, contains the comments for only that post.

Each feed option has the same Full, Short, and None settings as found on the Basic Mode page.


How Popular Is Your Blog?

If you're hosting a blog, eventually you're going to get curious about how many people are reading it. Unfortunately, Blogger doesn't offer any built-in statistics or visitor counters. You can, however, utilize third-party hit counters and tools to track your blog's traffic. Some of the most popular of these tools include

  • Bravenet Counter and Site Stats (www.bravenet.com/webtools/counter/)

  • FreeStats (www.freestats.com)

  • Site Meter (www.sitemeter.com)

  • StatCounter (www.statcounter.com)

To use any of these third-party tools, you have to add it to your blog's underlying code via the Edit HTML screenwhich we discuss next.


Advanced Customization: Editing Your Blogger Template with HTML and CSS

The new version of Blogger includes many more customization options that anyone can do, no technical expertise required, either by controlling fonts and colors or by adding new content modules to the page. (The HTML/JavaScript module is particularly versatile in this regard.)

However, the ability to customize your Blogger blog doesn't end there. If you know how to code in HTML, you can edit just about any piece of the page's underlying HTML code. HTML editing is a powerful tool that lets you change anything on the pageproviding you know what you're doing, of course.

Caution

If you used HTML and Blogger tags to customize your blog in the old Blogger, you're in for a shock. The new Blogger doesn't use any of the old Blogger tags, which means you need to learn a completely new processand rewrite all your existing code!

Editing Blogger's HTML

If you want to edit the underlying HTML code for your Blogger page, here's how to do it:

Caution

Before you attempt to edit your blog's HTML, you should save a copy of the existing code to your hard drive. (Click the Download Full Template link to do this.) Doing so ensures that you have a full backup copy of your current blog templatewhich you can upload in case you make a mistake when editing the HTML code.

1.
From the Blogger Dashboard, click the Layout link next to your blog name.

2.
When the next page appears, click the Edit HTML link.

3.
This displays the Edit Template page, as shown in Figure 39. The main text box displays the HTML code for your blog.

Figure 39. Editing your blog's HTML code.

[View full size image]

4.
By default, the code for your page's content modules (what Google calls widget templates) is condensed within the main code. To display the complete code for all these modules, enable the Expand Widget Templates option.

5.
Edit the code within the main text box; preview your edits by clicking the Preview button.

6.
When you finish editing, click the Save Template button.

Understanding Essential HTML Codes

I won't go into all the intricacies of HTML here; I'll assume that if you're editing code, you know what you're doing. What I will do is point out some of the more important codes used to create Blogger pages.

First, know that Blogger uses CSS, so most of the font and color information is set at the very top of the code. Look for the code that starts with the following line:

<style type="text/css">

Everything between this tag and the closing </style> tag defines all the elements used in the template's style sheet. When you make changes to the definitions within this section, it affects the look of the entire stylesheet.

The <div> tag denotes the various sections of your blog. For example, you'll find <div> tags for the header (<div id='headerwrapper'>, main content (<div id='main-wrapper'>, and sidebar (<div id='sidebar-wrapper'). Figure 40 shows the start of the sidebar section code.

Figure 40. The HTML code for the start of a blog's sidebar section.

[View full size image]

The sidebar is the part of the blog where you'll probably do the most customization. There you can add new content or edit the attributes of the existing content and widgets. You can also edit universal font attributes in the Variable Definitions section at the very top of your template code.

I won't go into a lot more detail about Blogger's HTML code here because it's quite involved. That said, it's not that hard to figure out if you have any knowledge at all of HTML and CSS coding. You can find more information from Blogger online: help.blogger.com/bin/answer.py?answer=46870. If you're comfortable with what you see there, have fun coding!

Note

In the original Blogger, you pretty much had to do HTML coding to effect any serious customization. With the new Blogger, however, you can attain much the same result by using the color and font picker on the Fonts and Colors page and by adding multiple HTML/JavaScript content modules on the Page Elements page. Unless you have very specific needs, I recommend that you skip the HTML coding this time around and take the easy route to customizing your blog template.


Making Money from Your Blog

Here's something cooland potentially profitableabout Blogger. Google lets you insert context-sensitive text advertisements into your blog, which (in theory) could generate a bit of income for you. Every time a visitor clicks on one of the ad links, you earn a small commission. Just how much of a commission you earn, however, is not disclosed by Googlewhich is a bit of an odd way to attract participants to their program, if you ask me.

Google's AdSense division serves the Blogger ads. AdSense is one of the key revenue-generating parts of the Google empire. It's to Google's benefit for you to add ads to your blog; the fact that you participate in the revenues is the carrot to get you to sign up.

Adding an AdSense Module to Your Blog

In the original version of Blogger, you could insert AdSense ads by clicking a few options on the Google Dashboard. As of this writing, that simple approach has not yet been implemented in the new Blogger. Instead, you need to insert the AdSense code to an HTML/JavaScript content module. Even though it's not as easy as the old method, it's still not that hard. To add an AdSense module to your blog, follow these steps:

1.
Go to the AdSense website (www.google.com/adsense/), shown in Figure 41, and sign up for the AdSense program.

Figure 41. Google's AdSense websitewhere you sign up for the AdSense program and generate your ad code.

[View full size image]

2.
Follow the instructions on the AdSense site to create the code for an AdSense ad module, and then copy that code.

3.
Return to the Blogger site, access the Blogger Dashboard, and click the Layout link next to your blog name.

4.
When the next page appears, select the Template tab and click Page Elements.

5.
When the next page appears, click the Add a Page Element link.

6.
When the Choose a New Page Element window appears, click the Add to Blog button in the HTML/JavaScript section.

7.
When the Configure HTML/JavaScript window appears, paste the AdSense code into the main text box. Leave the Title box blank.

8.
Click the Save Changes button.

This creates a page element that contains your AdSense ad module. You can now use the Add and Arrange Page Elements page to position this element on your blog page; I recommend positioning it at the bottom of the page, below the Blog Posts module, where it can stretch the full width of the pagelike the blog in Figure 42.

Figure 42. AdSense ads displayed across the bottom of a blog page.

[View full size image]

Tip

After you activate AdSense for your blog, you can view your ad activity in the AdSense console on the AdSense site. This console tracks all your click-through activity. You can also select the AdSense Setup and My Account tabs on the AdSense site to manage the details of your account and ads.

Adding AdSense Ads to Your Site Feed

When you add an AdSense module to your blog, the ads appear only on your blognot in the syndicated blog feed. Obviously, the more exposure for the ads, the more revenue you can generate, so it's a probably a good idea to include AdSense ads within your site feed. That isn't hard to do.

First, you have to copy your AdSense code from the AdSense website. Then go to the Blogger Dashboard, click the Settings link next to your blog name, and click the Site Feed link. When the next page appears, paste the AdSense code into the Feed Item Footer box. This puts the ads at the bottom of each feed page. Click the Save Settings button when done.

Note

To enable ads in your site feed, you must select the Full option for the Allow Site Feed setting.


Hosting Your Own BlogOr Not

By default, the Blogger website hosts your Blogger blog, meaning your blog has an address with the blogspot.com domain. In the original Blogger, you could also host your blog on your own web server, using the Blogger service to create your blog pages and posts, which then transferred to your own server. That option, however, is not available with the new Blogger.

You see, the concept of dynamic serving is the basis of the new Blogger. That means when you make a change to your blog, it's dynamic; you see the results immediately, without having to go through the old "republish your blog" routine. Unfortunately, dynamic serving makes hosting your blog on another site difficultif not impossible.

The old hosting process required Blogger to publish any new or changed pages first, and then transfer those pages to your server via FTP. Because the new Blogger generates pages dynamically, there are no published pages to transfer. The result is that, if you're using the new Blogger, you can't host your blog on another server. Google says you can continue to use the old Blogger system to create nondynamic (static) blog pages, and transfer these pages to your server via FTP. However, if you want to take full advantage of all the features in the new Blogger, you have to switch to Google's Blogspot hosting.

Note

Want to keep up-to-date with new Blogger developments? Check out Googlepedia: The Blog (googlepedia.blogspot.com), which features news and information about all things GoogleBlogger included.